Subject: Re: bug#14461: 24.3.50; bad display for 'space' + (U+0336) unicode combination

From: Stephen Berman <[email-masked]>
Date: Thu, 15 Aug 2019 11:01:57 +0200

On Wed, 14 Aug 2019 21:50:33 -0700 Lars Ingebrigtsen <[email-masked]> wrote:

> Cédric Chépied <[email-masked]> writes:
>
>> start emacs -Q
>> use scratch buffer for example
>> type 'l' then M-x insert-char RET 336 RET
>> 'l' letter will be stroken
>> type ' ' (space) then M-x insert-char RET 336 RET
>> space char is not stroken but strikeout is visible after the space character.
>> If you paste the entire line to someone using emacs 23 (with erc for example)
>> his display is ok.
>> As far as I know, space char is the only one with this behaviour.
>
> (I'm going through old bug reports that have unfortunately gotten no
> responses yet.)
>
> I'm not quite sure I understand the bug report, but I tried this recipe,
> and I'm not able to reproduce any odd behaviour here in Emacs 27 (I
> think).
>
> If I type
>
> l M-x insert-char RET 336 RET
>
> I get
>
> l̶
>
> which is displayed here as an l with a dash after it -- no overstrikes
> or anything.  The same happens with a space character instead of an l.
>
> I'm guessing something has changed with combining characters here?  Or
> do I need to be in a particular language environment for the l and the
> dash to combine?

I also see l with a dash after it in Emacs started with -Q, in which the
font is DejaVu Sans Mono.  But when I then enable variable-pitch-mode,
which uses DejaVu Sans, I see l overlayed with a dash.

Steve Berman